package ru.ulstu.extractor.markup.model;

import ru.ulstu.extractor.rule.model.AntecedentValue;
import ru.ulstu.extractor.ts.model.TimeSeries;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class TimeSeriesForMarkup {
    private Map<TimeSeries, AntecedentValue> timeSeriesTendencyMap = new HashMap<>();
    private String markup;
    private Date dateFrom;
    private Date dateTo;

    public TimeSeriesForMarkup(TimeSeries ts1, AntecedentValue tendency1, TimeSeries ts2, AntecedentValue tendency2, Date dateFrom, Date dateTo) {
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
        this.timeSeriesTendencyMap.put(ts1, tendency1);
        this.timeSeriesTendencyMap.put(ts2, tendency2);
    }

    public Map<TimeSeries, AntecedentValue> getTimeSeriesTendencyMap() {
        return timeSeriesTendencyMap;
    }

    public Date getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(Date dateFrom) {
        this.dateFrom = dateFrom;
    }

    public Date getDateTo() {
        return dateTo;
    }

    public void setDateTo(Date dateTo) {
        this.dateTo = dateTo;
    }

    public String getMarkup() {
        return markup;
    }
}
